
CoCoALib - Design #1184

should BeginIter(RingElem) be in SparsePolyIter or in SparsePolyOps-RingElem?

18 May 2018 17:52 - Anna Maria Bigatti

Status: Closed Start date: 18 May 2018

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 1.01 hour

Target version: CoCoALib-0.99700 Spent time: 0.80 hour

Description

Related issues:

Related to CoCoALib - Design #1177: File names: use "SparsePolyOps" prefix fo... Closed 06 Apr 2018

Related to CoCoALib - Design #1163: Split SparsePolyRing.C in smaller files Closed 27 Feb 2018

History

#1 - 30 Jul 2018 16:15 - Anna Maria Bigatti

I think it should be in SparsePolyIter

#2 - 30 Jul 2018 16:15 - Anna Maria Bigatti

- % Done changed from 0 to 10

#3 - 30 Jul 2018 18:13 - John Abbott

I agree that BeginIter should be with the other iterator fns.

Should the file be called SparsePolyOps-iter???

#4 - 31 Jul 2018 11:54 - Anna Maria Bigatti

- Status changed from New to Resolved

- Assignee set to John Abbott

John Abbott wrote:

I agree that BeginIter should be with the other iterator fns.

Should the file be called SparsePolyOps-iter???

 

I think it is correct SparsePolyIter, the name of the class.

I consider Ops for operations on a certain class (which is defined in its own file)

#5 - 02 Aug 2018 17:05 - Anna Maria Bigatti

- Related to Design #1177: File names: use "SparsePolyOps" prefix for pertinent files added

#6 - 02 Aug 2018 17:06 - Anna Maria Bigatti
- Related to Design #1163: Split SparsePolyRing.C in smaller files added

#7 - 03 Aug 2018 16:56 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 10 to 100

- Estimated time set to 0.66 h

SUMMARY: yes, BigInter goes into the same file where the iterator class is defined

#8 - 06 Aug 2018 15:31 - Anna Maria Bigatti

- Status changed from Closed to Resolved

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

- % Done changed from 100 to 80

After closing this, I changed my mind:

It is simpler to leave the in SparsePolyOps-RingElem.C.

As simple is good, reconsider this for next version, and (probably) reject it.

2020-02 change my mind again!  Done it!

#9 - 01 Oct 2019 12:23 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700

#10 - 12 Feb 2020 15:49 - Anna Maria Bigatti

I checked.  The class declaration is in SparsePolyIter.H.

There are only to functions defined in SparsePolyOps-RingElem.C: BeginIter and EndIter.

Now I think that, even though for just two functions, we should make SparsePolyIter.C and put them there, otherwise it looks akward.

#11 - 12 Feb 2020 16:39 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- % Done changed from 80 to 90

#12 - 12 Feb 2020 18:17 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 0.66 h to 1.01 h
